linux: 3.11.0-14.21 -proposed tracker

Bug #1250540 reported by Brad Figg on 2013-11-12
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Certification-testing
Medium
Sylvain Pineau
Prepare-package
Medium
Canonical Kernel Team
Prepare-package-meta
Medium
Canonical Kernel Team
Prepare-package-signed
Medium
Canonical Kernel Team
Promote-to-proposed
Medium
Adam Conrad
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Para Siva
Security-signoff
Medium
John Johansen
Verification-testing
Medium
Brad Figg
linux (Ubuntu)
Undecided
Unassigned
Saucy
Medium
Unassigned

Bug Description

This bug is for tracking the 3.11.0-14.21 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 12. November 2013 16:15 UTC
kernel-stable-Prepare-package-end:Tuesday, 12. November 2013 23:08 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 12. November 2013 23:08 UTC
kernel-stable-Promote-to-proposed-end:Thursday, 14. November 2013 12:00 UTC
kernel-stable-Verification-testing-start:Thursday, 14. November 2013 13:01 UTC
kernel-stable-Certification-testing-start:Thursday, 14. November 2013 13:01 UTC
kernel-stable-Security-signoff-start:Thursday, 14. November 2013 13:01 UTC
kernel-stable-Regression-testing-start:Thursday, 14. November 2013 13:01 UTC
kernel-stable-Security-signoff-end:Monday, 18. November 2013 23:02 UTC
kernel-stable-Certification-testing-end:Friday, 22. November 2013 21:00 UTC
kernel-stable-Verification-testing-end:Monday, 25. November 2013 22:00 UTC
kernel-stable-Promote-to-updates-start:Tuesday, 26. November 2013 10:00 UTC
kernel-stable-Regression-testing-end:Tuesday, 26. November 2013 10:00 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 03. December 2013 02:01 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 03. December 2013 04:02 UTC

CVE References

Brad Figg (brad-figg) on 2013-11-12
tags: added: kernel-release-tracking-bug
tags: added: saucy
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu):
status: New → Invalid
Changed in linux (Ubuntu Saucy):
importance: Undecided → Medium

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lowlatency - bug 1250658
linux-ppc - bug 1250659

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-saucy (precise) - bug 1250660

description: updated
Adam Conrad (adconrad) wrote :

Copied to -proposed, overrides adjusted, and linux-signed built.

Brad Figg (brad-figg) on 2013-11-14
description: updated
Brad Figg (brad-figg) on 2013-11-14
description: updated
John Johansen (jjohansen) wrote :

Looks good

Brad Figg (brad-figg) on 2013-11-18
description: updated
Sylvain Pineau (sylvain-pineau) wrote :

Hardware Certification have begun testing this -proposed kernel.

Sylvain Pineau (sylvain-pineau) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed and results are available here: http://people.canonical.com/~hwcert/sru-testing/saucy/3.11.0-14.21/saucy-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2013-11-22
description: updated
Brad Figg (brad-figg) on 2013-11-25
description: updated
Para Siva (psivaa) on 2013-11-26
tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2013-11-26
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (5.6 KiB)

This bug was fixed in the package linux - 3.11.0-14.21

---------------
linux (3.11.0-14.21) saucy; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1250540

  [ Anthony Wong ]

  * SAUCE: Work around broken ACPI backlight on Dell Inspiron 5537
    - LP: #1231305

  [ Colin Ian King ]

  * SAUCE: eCryptfs: fix 32 bit corruption issue
    - LP: #1243636

  [ Ming Lei ]

  * SAUCE: ext4: fix performance regression in ext4_writepages
    - LP: #1242812

  [ Upstream Kernel Changes ]

  * Revert "bridge: only expire the mdb entry when query is received"
    - LP: #1249081
  * ext4: fix performance regression in writeback of random writes
    - LP: #1242812
  * be2net: pass if_id for v1 and V2 versions of TX_CREATE cmd
    - LP: #1234019
  * tcp: TSO packets automatic sizing
    - LP: #1249081
  * tcp: TSQ can use a dynamic limit
    - LP: #1249081
  * tcp: must unclone packets before mangling them
    - LP: #1249081
  * tcp: do not forget FIN in tcp_shifted_skb()
    - LP: #1249081
  * tcp: fix incorrect ca_state in tail loss probe
    - LP: #1249081
  * net: do not call sock_put() on TIMEWAIT sockets
    - LP: #1249081
  * batman-adv: set up network coding packet handlers during module init
    - LP: #1249081
  * l2tp: fix kernel panic when using IPv4-mapped IPv6 addresses
    - LP: #1249081
  * l2tp: Fix build warning with ipv6 disabled.
    - LP: #1249081
  * net: mv643xx_eth: update statistics timer from timer context only
    - LP: #1249081
  * net: mv643xx_eth: fix orphaned statistics timer crash
    - LP: #1249081
  * net: heap overflow in __audit_sockaddr()
    - LP: #1249081
  * sit: amend "allow to use rtnl ops on fb tunnel"
    - LP: #1249081
  * proc connector: fix info leaks
    - LP: #1249081
  * ipv4: fix ineffective source address selection
    - LP: #1249081
  * can: dev: fix nlmsg size calculation in can_get_size()
    - LP: #1249081
  * net: secure_seq: Fix warning when CONFIG_IPV6 and CONFIG_INET are not
    selected
    - LP: #1249081
  * xen-netback: Don't destroy the netdev until the vif is shut down
    - LP: #1249081
  * net/mlx4_en: Rename name of mlx4_en_rx_alloc members
    - LP: #1249081
  * net/mlx4_en: Fix pages never dma unmapped on rx
    - LP: #1249081
  * net: vlan: fix nlmsg size calculation in vlan_get_size()
    - LP: #1249081
  * bridge: update mdb expiration timer upon reports.
    - LP: #1249081
  * vti: get rid of nf mark rule in prerouting
    - LP: #1249081
  * l2tp: must disable bh before calling l2tp_xmit_skb()
    - LP: #1249081
  * netem: update backlog after drop
    - LP: #1249081
  * netem: free skb's in tree on reset
    - LP: #1249081
  * farsync: fix info leak in ioctl
    - LP: #1249081
  * unix_diag: fix info leak
    - LP: #1249081
  * connector: use nlmsg_len() to check message length
    - LP: #1249081
  * bnx2x: record rx queue for LRO packets
    - LP: #1249081
  * virtio-net: don't respond to cpu hotplug notifier if we're not ready
    - LP: #1249081
  * virtio-net: refill only when device is up during setting queues
    - LP: #1249081
  * bridge: Correctly clamp MAX forward_delay when enabling STP
    - LP: #1249081
  * net: dst: provide accessor function to dst->xfrm
 ...

Read more...

Changed in linux (Ubuntu Saucy):
status: New → Fix Released
Brad Figg (brad-figg) on 2013-12-03
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers